import { createApp } from 'vue'
import { createPinia } from 'pinia'
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import '/public/styles/index.scss'
import '/public/styles/common.scss'
import '/public/styles/base.scss'
import App from './App.vue'
import router from './router'
import { setupRouterGuard } from './router/guard'
import SvgIcon from './components/SvgIcon/SvgIcon.vue'
import Dialog from './components/Dialog/index.vue'
import SeTable from './components/Table/indedx.vue'
import zhCn from 'element-plus/es/locale/lang/zh-cn'

const app = createApp(App)
app.use(createPinia())
app.use(router)
setupRouterGuard(router)
app.use(ElementPlus, {
    locale: zhCn,
})
app.component('SvgIcon', SvgIcon)
app.component('Dialog', Dialog)
app.component('SeTable', SeTable)
app.mount('#app')
